"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("./babelRegister");
var fs_1 = __importDefault(require("fs"));
var path_1 = __importDefault(require("path"));
var bytes_1 = __importDefault(require("bytes"));
var rimraf_1 = __importDefault(require("rimraf"));
var webpack_1 = __importDefault(require("webpack"));
var gzip_size_1 = __importDefault(require("gzip-size"));
var getConfig_1 = __importDefault(require("./getConfig"));
var compilerErrorHandle_1 = __importDefault(require("./compilerErrorHandle"));
var utils_1 = __importDefault(require("./utils"));
function runBuild() {
    var _a;
    var webpackConfig = getConfig_1.default().webpack;
    utils_1.default.success('Creating an optimized production build...');
    // 删除build路径
    rimraf_1.default.sync(((_a = webpackConfig === null || webpackConfig === void 0 ? void 0 : webpackConfig.output) === null || _a === void 0 ? void 0 : _a.path) || '');
    webpack_1.default(webpackConfig, function (err, stats) {
        var _a, _b;
        compilerErrorHandle_1.default(stats, err);
        (_b = (_a = stats === null || stats === void 0 ? void 0 : stats.toJson()) === null || _a === void 0 ? void 0 : _a.assets) === null || _b === void 0 ? void 0 : _b.filter(function (asset) {
            var _a;
            if (!/(.css|.js|.html)/.test(asset.name || '')) {
                return;
            }
            var filePath = path_1.default.resolve(((_a = webpackConfig.output) === null || _a === void 0 ? void 0 : _a.path) || '', asset.name);
            if (fs_1.default.existsSync(filePath)) {
                var fileContents = fs_1.default.readFileSync(filePath);
                var size = gzip_size_1.default.sync(fileContents);
                utils_1.default.loggerPrefix(utils_1.default.chalk.green(asset.name + " " + (size > 0
                    ? utils_1.default.chalk.cyan('===>') + " " + utils_1.default.chalk.blue(bytes_1.default(size))
                    : '')));
            }
        });
        utils_1.default.success('Compiled successfully!');
    });
}
exports.default = runBuild;
;
