"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = __importDefault(require("../utils"));
var FILE_REGEX = /.(png|gif|jpg|jpeg|svg|bmp)/;
function getUrlLoader() {
    return ({
        test: FILE_REGEX,
        use: {
            loader: require.resolve('url-loader'),
            options: {
                limit: 8192,
                esModule: false,
                name: function () {
                    if (utils_1.default.isDev()) {
                        return './images/[name].[ext]';
                    }
                    return './images/[name].[ext]?[hash]';
                }
            }
        }
    });
}
exports.default = getUrlLoader;
;
