"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = __importDefault(require("fs"));
var path_1 = __importDefault(require("path"));
var utils_1 = __importDefault(require("./utils"));
function getPath(fileName) {
    var basePath = __dirname;
    return path_1.default.resolve(basePath, fileName);
}
function getLoader(filePath) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    var getLoaderFn = utils_1.default.requireModule(filePath);
    if (utils_1.default.isFunction(getLoaderFn)) {
        return getLoaderFn.apply(void 0, args);
    }
    return null;
}
function getLoaders() {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    var fileTypeRegex = /\.js$/;
    var configPath = getPath('getLoaderConfig/');
    var loaderFiles = fs_1.default.readdirSync(configPath);
    var loaders = [];
    loaderFiles.forEach(function (loaderFile) {
        // 判断文件类型
        if (fileTypeRegex.test(loaderFile)) {
            var loaderConfig = getLoader.apply(void 0, __spreadArrays([configPath + '/' + loaderFile], args));
            if (loaderConfig) {
                loaders.push(loaderConfig);
            }
        }
    });
    return loaders;
}
exports.default = getLoaders;
;
