"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var terser_webpack_plugin_1 = __importDefault(require("terser-webpack-plugin"));
var utils_1 = __importDefault(require("./utils"));
function getOptimization() {
    var baseOptim = {
        splitChunks: {
            chunks: 'all',
            name: false
        },
        runtimeChunk: {
            name: 'runtime'
        }
    };
    if (utils_1.default.isProduction()) {
        baseOptim = Object.assign({}, baseOptim, {
            minimize: true,
            minimizer: [new terser_webpack_plugin_1.default({
                    extractComments: false,
                    terserOptions: {
                        output: {
                            comments: false,
                            ascii_only: true
                        }
                    }
                })]
        });
    }
    return baseOptim;
}
exports.default = getOptimization;
;
