import utils from '../utils';
const FILE_REGEX = /.(png|gif|jpg|jpeg|svg|bmp)/;

export default function getUrlLoader() {
    return ({
        test: FILE_REGEX,
        use: {
            loader: require.resolve('url-loader'),
            options: {
                limit: 8192,
                esModule: false,
                name() {
                    if (utils.isDev()) {
                        return './images/[name].[ext]';
                    }

                    return './images/[name].[ext]?[hash]';
                }
            }
        }
    });
};
