import TerserPlugin from 'terser-webpack-plugin';

import utils from './utils';
import webpack from 'webpack';

export default function getOptimization() {
    let baseOptim: webpack.Options.Optimization = {
        splitChunks: {
            chunks: 'all',
            name: false
        },
        runtimeChunk: {
            name: 'runtime'
        }
    };

    if (utils.isProduction()) {
        baseOptim = Object.assign({}, baseOptim, {
            minimize: true,
            minimizer: [new TerserPlugin({
                extractComments: false,
                terserOptions: {
                    output: {
                        comments: false,
                        ascii_only: true
                    }
                }
            })]
        });
    }

    return baseOptim;
};
